ruby-recaptcha_0.4.0-1_all.deb


Advertisement

Description

ruby-recaptcha - Ruby helpers for the reCAPTCHA API

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-recaptcha
Package version: 0.4.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 44 B
Download size: 10.46 KB
Official Mirror: archive.ubuntu.com
This plugin gives a high-level interface for using reCAPTCHA authentication methods in your ruby programs. In your views you can use the recaptcha_tags method to embed the needed Javascript, and you can validate in your controllers with verify_recaptcha.

Alternatives

    Download

    Source package: ruby-recaptcha

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-recaptcha deb package:
      # sudo apt-get install ruby-recaptcha

    Files

    • /usr/lib/ruby/vendor_ruby/recaptcha.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/client_helper.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/configuration.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/merb.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/rails.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/railtie.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/verify.rb
    • /usr/lib/ruby/vendor_ruby/recaptcha/version.rb
    • /usr/share/doc/ruby-recaptcha/README.rdoc.gz
    • /usr/share/doc/ruby-recaptcha/changelog.Debian.gz
    • /usr/share/doc/ruby-recaptcha/copyright
    • /usr/share/rubygems-integration/all/specifications/recaptcha-0.4.0.gemspec

    Changelog

    2015-07-28 - David Martínez Moreno <ender@debian.org> ruby-recaptcha (0.4.0-1) unstable; urgency=medium * New upstream release: - Support for ReCAPTCHA v2. * Fix rails dependency to be >> 4.1, due to #754981. * debian/patches: Added gemspec_without_git to deal with the infamous `git ls-files` usual command, invalid in our chroots, and thus ship a valid gemspec (LP: #1400564). * debian/watch: Added. * debian/control: Bumped to 3.9.6 (no changes).

    2014-04-09 - Christian Hofstaedtler <zeha@debian.org> ruby-recaptcha (0.3.6-2.1) unstable; urgency=medium * Non-maintainer upload. * Replace ruby1.9 dependency with ruby metapackage.

    2014-01-30 - David Martínez Moreno <ender@debian.org> ruby-recaptcha (0.3.6-2) unstable; urgency=low * debian/control: Remove ruby-pkg-tools from Build-Depends (closes: #737179).

    2014-01-08 - David Martínez Moreno <ender@debian.org> ruby-recaptcha (0.3.6-1) unstable; urgency=low * New upstream release. * debian/control: - Bumped Standards-Version (no change). - Changed a dependency on ruby1.8 to ruby1.9. - Bumped Rails dependency to >> 3. - Added Vcs-* fields.

    2012-10-18 - David Martínez Moreno <ender@debian.org> ruby-recaptcha (0.3.2+git20121017-1) unstable; urgency=low * Initial release (closes: #690754).

    Advertisement
    Advertisement